pidgin: gtkft.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Typedefs
gtkft.h File Reference
Pidgin (GTK+ User Interface)

GTK+ File Transfer UI. More...

`#include "ft.h"`

Go to the source code of this file.

## Typedefs
typedef struct _PidginXferDialog | PidginXferDialog
| A file transfer dialog.

## Functions
GTK+ File Transfer Dialog API <br>
PidginXferDialog * | pidgin_xfer_dialog_new (void)
| Creates a new file transfer dialog.
void | pidgin_xfer_dialog_destroy (PidginXferDialog *dialog)
| Destroys a file transfer dialog.
void | pidgin_xfer_dialog_show (PidginXferDialog *dialog)
| Displays the file transfer dialog given.
void | pidgin_xfer_dialog_hide (PidginXferDialog *dialog)
| Hides the file transfer dialog.
void | pidgin_xfer_dialog_add_xfer (PidginXferDialog *dialog, PurpleXfer *xfer)
| Adds a file transfer to the dialog.
void | pidgin_xfer_dialog_remove_xfer (PidginXferDialog *dialog, PurpleXfer *xfer)
| Removes a file transfer from the dialog.
void | pidgin_xfer_dialog_cancel_xfer (PidginXferDialog *dialog, PurpleXfer *xfer)
| Indicate in a file transfer dialog that a transfer was cancelled.
void | pidgin_xfer_dialog_update_xfer (PidginXferDialog *dialog, PurpleXfer *xfer)
| Updates the information for a transfer in the dialog.
GTK+ File Transfer API <br>
void | pidgin_xfers_init (void)
| Initializes the GTK+ file transfer system.
void | pidgin_xfers_uninit (void)
| Uninitializes the GTK+ file transfer system.
void | pidgin_set_xfer_dialog (PidginXferDialog *dialog)
| Sets pidgin's main file transfer dialog.
PidginXferDialog * | pidgin_get_xfer_dialog (void)
| Returns pirgin's main file transfer dialog.
PurpleXferUiOps * | pidgin_xfers_get_ui_ops (void)
| Returns the UI operations structure for the GTK+ file transfer UI.

## Detailed Description

GTK+ File Transfer UI.

Definition in file gtkft.h.

## Typedef Documentation

## ◆ PidginXferDialog

typedef struct _PidginXferDialog PidginXferDialog

A file transfer dialog.

The structure is opaque, as nobody should be touching anything inside of it.

Definition at line 37 of file gtkft.h.

## Function Documentation

## ◆ pidgin_get_xfer_dialog()

PidginXferDialog * pidgin_get_xfer_dialog | ( | void |  | ) |

Returns pirgin's main file transfer dialog.

Returns
  The main dialog.

## ◆ pidgin_set_xfer_dialog()

void pidgin_set_xfer_dialog | ( | PidginXferDialog * | dialog | ) |

Sets pidgin's main file transfer dialog.

Parameters

  dialog | The main dialog.

## ◆ pidgin_xfer_dialog_add_xfer()

void pidgin_xfer_dialog_add_xfer | ( | PidginXferDialog * | dialog,
|  | PurpleXfer * | xfer
| ) |  |

Adds a file transfer to the dialog.

Parameters

  dialog | The file transfer dialog.
  xfer | The file transfer.

## ◆ pidgin_xfer_dialog_cancel_xfer()

void pidgin_xfer_dialog_cancel_xfer | ( | PidginXferDialog * | dialog,
|  | PurpleXfer * | xfer
| ) |  |

Indicate in a file transfer dialog that a transfer was cancelled.

Parameters

  dialog | The file transfer dialog.
  xfer | The file transfer that was cancelled.

## ◆ pidgin_xfer_dialog_destroy()

void pidgin_xfer_dialog_destroy | ( | PidginXferDialog * | dialog | ) |

Destroys a file transfer dialog.

Parameters

  dialog | The file transfer dialog.

## ◆ pidgin_xfer_dialog_hide()

void pidgin_xfer_dialog_hide | ( | PidginXferDialog * | dialog | ) |

Hides the file transfer dialog.

Parameters

  dialog | The file transfer dialog to hide.

## ◆ pidgin_xfer_dialog_new()

PidginXferDialog * pidgin_xfer_dialog_new | ( | void |  | ) |

Creates a new file transfer dialog.

Returns
  The new dialog.

## ◆ pidgin_xfer_dialog_remove_xfer()

void pidgin_xfer_dialog_remove_xfer | ( | PidginXferDialog * | dialog,
|  | PurpleXfer * | xfer
| ) |  |

Removes a file transfer from the dialog.

Parameters

  dialog | The file transfer dialog.
  xfer | The file transfer.

## ◆ pidgin_xfer_dialog_show()

void pidgin_xfer_dialog_show | ( | PidginXferDialog * | dialog | ) |

Displays the file transfer dialog given.

If dialog is `NULL`, displays the default dialog, creating one if necessary

Parameters

  dialog | The file transfer dialog to show.

## ◆ pidgin_xfer_dialog_update_xfer()

void pidgin_xfer_dialog_update_xfer | ( | PidginXferDialog * | dialog,
|  | PurpleXfer * | xfer
| ) |  |

Updates the information for a transfer in the dialog.

Parameters

  dialog | The file transfer dialog.
  xfer | The file transfer.

## ◆ pidgin_xfers_get_ui_ops()

PurpleXferUiOps * pidgin_xfers_get_ui_ops | ( | void |  | ) |

Returns the UI operations structure for the GTK+ file transfer UI.

Returns
  The GTK+ file transfer UI operations structure.